### Name

> XmHTMLImageFreeImageInfo - release a XmImageInfo structure.

### Synopsis

> void XmHTMLImageFreeImageInfo(Widget w, XmImageInfo *info)

### Description

> XmHTMLImageFreeImageInfo is the only method by which all memory occupied by a XmImageInfo structure can be released safely. This routine will take the various option bits of the given XmImageInfo structure into consideration to determine which members actually have to be released and how (and when) this should be done.

> w
>   Specifies the parent Widget ID, which must be of class xmHTMLWidgetClass.
> *info
>   Specifies the XmImageInfo structure to be released.

### Return Value

> This function does not return a value. When this function returns, the XmImageInfo structure has become invalid and should no longer be referenced by any means. Depending on the option bits however, some members may have been scheduled for delayed destruction (XmIMAGE_SHARE_DATA bit).

### See Also

> XmHTML(3X), XmHTMLImageDefaultProc(3X), XmHTMLImageFreeAllImages(3X)

XmHTML, June 4, 1998